### system_error

The `system_error` class is used to represent system conditions that prevent the library from operating correctly.

    class system_error :
      public std::exception

##### Member Functions

Name | Description
--- | ---
code | Get the error code associated with the exception.
operator= | Assignment operator.
system_error [constructor] | Construct with an error code. — Construct with an error code and context. — Copy constructor.
what | Get a string representation of the exception.
~system_error [destructor] | Destructor.

##### Requirements

Header: `asio/system_error.hpp`

Convenience header: `asio.hpp`